post
https://partner.gupshup.io/partner/bizgate/app//access/users/unblock
Unblocks one or more previously blocked WhatsApp users on the app, using a JSON list of phone numbers in the body.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Always "whatsapp" | — | Required | |
| block_users | The numbers to act on. The unblock response reports these as removed_users. | — | — | Required |
Sample cURL — Unblock users.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/access/users/unblock' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"messaging_product" : "whatsapp",
"block_users" : [ {
"user" : "91XXXXXXXX73"
} ]
}'Sample success response (200)
{
"status": "success",
"data": {
"messaging_product": "whatsapp",
"block_users": {
"removed_users": [
{
"input": "91XXXXXXXX73",
"wa_id": "91XXXXXXXX73"
}
]
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…